
ctools - Change request #2260

Support On/Off fitting in cspull

10/26/2017 01:29 PM - Knödlseder Jürgen

Status: Closed Start date: 10/26/2017

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.5.0   

Description

History

#1 - 10/26/2017 08:46 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- % Done changed from 0 to 80

The simulation of On/Off observations was implemented in the obsutils.sim() function.

csphagen has been modified so that the number of true energy bins per decade can be selected. In addition, the true energy range is now always

wider than the reconstructed energy range which turned out to be crucial for getting correct pull distributions. The etruemin, etruemax, and etruebin

parameters were added to csphagen.

#2 - 10/26/2017 10:16 PM - Knödlseder Jürgen

- File Prefactor10.png added

- File Index10.png added

- File Prefactor20.png added

- File Index20.png added

- % Done changed from 80 to 90

Below pull distributions for 10 (top) and 20 (bottom) reconstructed energy bins. There seems to be a small bias towards too large prefactors.

#3 - 10/27/2017 08:27 AM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

I merged the code into devel.

I created issue #2263 to follow-up on the bias.
Prefactor10.png 40.3 KB 10/26/2017 Knödlseder Jürgen

Index10.png 39 KB 10/26/2017 Knödlseder Jürgen

Prefactor20.png 40.4 KB 10/26/2017 Knödlseder Jürgen

Index20.png 39 KB 10/26/2017 Knödlseder Jürgen
